This one is only for understanding the real changes.  Apply the other patch
which includes corrected indentation.

--- CVS/cperl-mode.el	2003-02-04 14:24:34.000000000 +0100
+++ pfeiffer/cperl-mode.el	2003-02-11 23:00:28.000000000 +0100
@@ -1,3 +1,2 @@
 ;;; cperl-mode.el --- Perl code editing commands for Emacs
 
-;; Copyright (C) 1985, 86, 87, 91, 92, 93, 94, 95, 96, 1997
*;; Copyright (C) 1985, 86, 87, 91, 92, 93, 94, 95, 96, 1997, 2000, 2003
 ;;     Free Software Foundation, Inc.
 
 ;; Author: Ilya Zakharevich and Bob Olson
@@ -28,5 +28,3 @@
 
 ;;; Commentary:
 
-;;; You can either fine-tune the bells and whistles of this mode or
-;;; bulk enable them by putting
*;; You can either fine-tune the bells and whistles of this mode or
*;; bulk enable them by putting
 
 ;; (setq cperl-hairy t)
 
-;;; in your .emacs file.  (Emacs rulers do not consider it politically
-;;; correct to make whistles enabled by default.)
*;; in your .emacs file.  (Emacs rulers do not consider it politically
*;; correct to make whistles enabled by default.)
 
-;;; DO NOT FORGET to read micro-docs (available from `Perl' menu)   <<<<<<
-;;; or as help on variables `cperl-tips', `cperl-problems',         <<<<<<
-;;; `cperl-praise', `cperl-speed'.				    <<<<<<
-
-;;; The mode information (on C-h m) provides some customization help.
-;;; If you use font-lock feature of this mode, it is advisable to use
-;;; either lazy-lock-mode or fast-lock-mode.  I prefer lazy-lock.
-
-;;; Faces used now: three faces for first-class and second-class keywords
-;;; and control flow words, one for each: comments, string, labels,
-;;; functions definitions and packages, arrays, hashes, and variable
-;;; definitions.  If you do not see all these faces, your font-lock does
-;;; not define them, so you need to define them manually.
-
-;;; into your .emacs file.
-
-;;;; This mode supports font-lock, imenu and mode-compile.  In the
-;;;; hairy version font-lock is on, but you should activate imenu
-;;;; yourself (note that mode-compile is not standard yet).  Well, you
-;;;; can use imenu from keyboard anyway (M-x imenu), but it is better
-;;;; to bind it like that:
*;; DO NOT FORGET to read micro-docs (available from `Perl' menu)   <<<<<<
*;; or as help on variables `cperl-tips', `cperl-problems',         <<<<<<
*;; `cperl-praise', `cperl-speed'.				   <<<<<<
*
*;; The mode information (on C-h m) provides some customization help.
*;; If you use font-lock feature of this mode, it is advisable to use
*;; either lazy-lock-mode or fast-lock-mode.  I prefer lazy-lock.
*
*;; Faces used now: three faces for first-class and second-class keywords
*;; and control flow words, one for each: comments, string, labels,
*;; functions definitions and packages, arrays, hashes, and variable
*;; definitions.  If you do not see all these faces, your font-lock does
*;; not define them, so you need to define them manually.
*
*;; This mode supports font-lock, imenu and mode-compile.  In the
*;; hairy version font-lock is on, but you should activate imenu
*;; yourself (note that mode-compile is not standard yet).  Well, you
*;; can use imenu from keyboard anyway (M-x imenu), but it is better
*;; to bind it like that:
 
 ;; (define-key global-map [M-S-down-mouse-3] 'imenu)
 
*;;; Font lock bugs:
*
*;; The following kinds of Perl code erroneously start strings:
*;; \$`  \$'  \$"
*;; $opt::s  $opt_s  $opt{s}  (s => ...)  /\s+.../
*;; likewise with m, tr, y, q, qX instead of s
*
 ;;; Code:
 
 ;; Some macros are needed for `defcustom'
@@ -170,5 +175,3 @@
 instead of:
 
 	if () {
-	}
-"
*	}"
   :type 'boolean
   :group 'cperl-autoinsert-details)
 
@@ -354,4 +358,3 @@
   :group 'cperl-affected-by-hairy)
 
 (defcustom cperl-pod-face 'font-lock-comment-face
-  "*Face for pod highlighting."
*  "*Face for POD highlighting."
   :type 'face
   :group 'cperl-faces)
 
 (defcustom cperl-pod-head-face 'font-lock-variable-name-face
-  "*Face for pod highlighting.
*  "*Face for POD highlighting.
 Font for POD headers."
   :type 'face
   :group 'cperl-faces)
@@ -376,4 +380,3 @@
   :group 'cperl-faces)
 
 (defcustom cperl-pod-here-fontify '(featurep 'font-lock)
-  "*Not-nil after evaluation means to highlight pod and here-docs sections."
*  "*Not-nil after evaluation means to highlight POD and here-docs sections."
   :type 'boolean
   :group 'cperl-faces)
 
@@ -395,4 +399,3 @@
   :group 'cperl)
 
 (defcustom cperl-pod-here-scan t
-  "*Not-nil means look for pod and here-docs sections during startup.
*  "*Not-nil means look for POD and here-docs sections during startup.
 You can always make lookup from menu or using \\[cperl-find-pods-heres]."
   :type 'boolean
   :group 'cperl-speed)
@@ -593,4 +597,3 @@
 ;;; Short extra-docs.
 
 (defvar cperl-tips 'please-ignore-this-line
-  "Get newest version of this package from
*  "Get maybe newer version of this package from
   ftp://ftp.math.ohio-state.edu/pub/users/ilya/emacs
 and/or
   ftp://ftp.math.ohio-state.edu/pub/users/ilya/perl
@@ -681,4 +685,3 @@
 
 This may be confusing, since the regexp s#//#/#\; may be highlighted
 as a comment, but it will be recognized as a regexp by the indentation
-code.  Or the opposite case, when a pod section is highlighted, but
*code.  Or the opposite case, when a POD section is highlighted, but
 may break the indentation of the following code (though indentation
 should work if the balance of delimiters is not broken by POD).
 
@@ -699,4 +703,3 @@
 
 If these bugs cannot be fixed on your machine (say, you have an inferior
 environment and cannot recompile), you may still disable all the fancy stuff
-via `cperl-use-syntax-table-text-property'." )
*via `cperl-use-syntax-table-text-property'.")
 
 (defvar cperl-praise 'please-ignore-this-line
   "Advantages of CPerl mode.
@@ -783,5 +787,3 @@
 line-breaks/spacing between elements of the construct.
 
 10) Uses a linear-time algorith for indentation of regions (on Emaxen with
-capable syntax engines).
-")
*capable syntax engines).")
 
 (defvar cperl-speed 'please-ignore-this-line
   "This is an incomplete compendium of what is available in other parts
@@ -828,5 +831,3 @@
     wrongly matched parentheses, wrong indentation, etc.
 
     One can unset `cperl-syntaxify-unwind'.  This might speed up editing
-    of, say, long POD sections.
-")
*    of, say, long POD sections.")
 
 (defvar cperl-tips-faces 'please-ignore-this-line
   "CPerl mode uses following faces for highlighting:
@@ -955,3 +957,3 @@
 ;;;     (setq interpreter-mode-alist (append interpreter-mode-alist
 ;;;					  '(("miniperl" . perl-mode))))))
 (eval-when-compile
*  (mapc (lambda (p)
   (condition-case nil
-      (require 'imenu)
-    (error nil))
-  (condition-case nil
-      (require 'easymenu)
-    (error nil))
-  (condition-case nil
-      (require 'etags)
-    (error nil))
-  (condition-case nil
-      (require 'timer)
-    (error nil))
-  (condition-case nil
-      (require 'man)
-    (error nil))
-  (condition-case nil
-      (require 'info)
-    (error nil))
*	      (require p)
*	    (error nil)))
*	'(imenu easymenu etags timer man info))
   (if (fboundp 'ps-extend-face-list)
       (defmacro cperl-ps-extend-face-list (arg)
 	`(ps-extend-face-list ,arg))
@@ -1224,5 +1213,3 @@
   (modify-syntax-entry ?| "." cperl-mode-syntax-table)
   (setq cperl-string-syntax-table (copy-syntax-table cperl-mode-syntax-table))
   (modify-syntax-entry ?$ "." cperl-string-syntax-table)
-  (modify-syntax-entry ?# "." cperl-string-syntax-table) ; (?# comment )
-)
*  (modify-syntax-entry ?# "." cperl-string-syntax-table)) ; (?# comment )
 
 
 
@@ -1337,4 +1325,3 @@
 span the needed amount of lines.
 
 Variables `cperl-pod-here-scan', `cperl-pod-here-fontify',
-`cperl-pod-face', `cperl-pod-head-face' control processing of pod and
*`cperl-pod-face', `cperl-pod-head-face' control processing of POD and
 here-docs sections.  With capable Emaxen results of scan are used
 for indentation too, otherwise they are used for highlighting only.
 
@@ -1504,4 +1492,3 @@
 	    (set 'font-lock-unfontify-region-function
 		  'font-lock-default-unfontify-region))
 	(make-local-variable 'font-lock-unfontify-region-function)
-	(set 'font-lock-unfontify-region-function
*	(setq font-lock-unfontify-region-function
 	      'cperl-font-lock-unfontify-region-function)
 	(make-local-variable 'cperl-syntax-done-to)
 	;; Another bug: unless font-lock-syntactic-keywords, font-lock
@@ -1531,9 +1519,3 @@
   (run-hooks 'cperl-mode-hook)
   ;; After hooks since fontification will break this
   (if cperl-pod-here-scan
-      (or ;;(and (boundp 'font-lock-mode)
-	  ;;     (eval 'font-lock-mode)	; Avoid warning
-	  ;;     (boundp 'font-lock-hot-pass) ; Newer font-lock
-       cperl-syntaxify-by-font-lock  ;;)
-       (progn (or cperl-faces-init (cperl-init-faces-weak))
-	      (cperl-find-pods-heres)))))
*      (unless cperl-syntaxify-by-font-lock
*	(or cperl-faces-init (cperl-init-faces-weak))
*	(cperl-find-pods-heres))))
 
 ;; Fix for perldb - make default reasonable
 (defun cperl-db ()
@@ -1675,4 +1660,3 @@
 	    (setq last-command-char ?\{)
 	    (cperl-electric-lbrace arg insertpos))
 	  (forward-char 1))
-      ;: Check whether we close something "usual" with `}'
*      ;; Check whether we close something "usual" with `}'
       (if (and (eq last-command-char ?\})
 	       (not
 		(condition-case nil
@@ -1725,5 +1710,3 @@
 (defun cperl-electric-lbrace (arg &optional end)
   "Insert character, correct line's indentation, correct quoting by space."
   (interactive "P")
-  (let (pos after
-	    (cperl-brace-recursing t)
*  (let ((cperl-brace-recursing t)
 	    (cperl-auto-newline cperl-auto-newline)
 	    (other-end (or end
 			   (if (and cperl-electric-parens-mark
@@ -1735,4 +1719,3 @@
 			       (save-excursion
 				 (goto-char (mark))
 				 (point-marker))
-			     nil))))
*			 nil)))
*	pos after)
     (and (cperl-val 'cperl-electric-lbrace-space)
 	 (eq (preceding-char) ?$)
 	 (save-excursion
@@ -1879,5 +1864,3 @@
  	     (insert "\n}")
 	     (and do (insert " while ();")))
  	    (t
- 	     (insert (if do " {\n} while ();" " () {\n}")))
- 	    )
* 	     (insert (if do " {\n} while ();" " () {\n}"))))
 	   (or (looking-at "[ \t]\\|$") (insert " "))
 	   (cperl-indent-line)
 	   (if dollar (progn (search-backward "$")
@@ -2000,5 +1984,3 @@
  	     (cperl-indent-line)
  	     (insert "\n\n}"))
  	    (t
- 	     (insert " {\n\n}"))
- 	    )
* 	     (insert " {\n\n}")))
 	   (or (looking-at "[ \t]\\|$") (insert " "))
 	   (cperl-indent-line)
 	   (forward-line -1)
@@ -2129,4 +2112,3 @@
 (defun cperl-electric-terminator (arg)
   "Insert character and correct line's indentation."
   (interactive "P")
-  (let (insertpos (end (point))
*  (let ((end (point))
 		  (auto (and cperl-auto-newline
 			     (or (not (eq last-command-char ?:))
-				 cperl-auto-newline-after-colon))))
*		       cperl-auto-newline-after-colon)))
*	insertpos)
     (if (and ;;(not arg)
 	     (eolp)
 	     (not (save-excursion
@@ -2251,6 +2235,3 @@
 (defun cperl-indent-line (&optional parse-data)
   "Indent current line as Perl code.
 Return the amount the indentation changed by."
-  (let (indent i beg shift-amt
-	(case-fold-search nil)
-	(pos (- (point-max) (point))))
*  (let ((case-fold-search nil)
*	(pos (- (point-max) (point)))
*	indent i beg shift-amt)
     (setq indent (cperl-calculate-indent parse-data)
 	  i indent)
     (beginning-of-line)
@@ -2368,4 +2352,3 @@
 	      (not (get-text-property (point) 'indentable)))
 	 ;; before start of POD - whitespace found since do not have 'pod!
 	 (and (looking-at "[ \t]*\n=")
-	      (error "Spaces before pod section!"))
*	      (error "Spaces before POD section!"))
 	 (and (not cperl-indent-left-aligned-comments)
 	      (looking-at "^#")))
 	nil
@@ -2386,4 +2370,3 @@
 	)
        (t
 	(save-excursion
-	  ;; Not in pod
*	    ;; Not in POD
 	  (cperl-backward-to-noncomment nil)
 	  (setq p (max (point-min) (1- (point)))
 		prop (get-text-property p 'syntax-type)
@@ -2529,4 +2513,3 @@
 	       ;; (Had \, too)
 	       (while ;;(or (eq (preceding-char) ?\,)
 			  (and (eq (preceding-char) ?:)
-			       (or;;(eq (char-after (- (point) 2)) ?\') ; ????
*			  (or ;;(eq (char-after (- (point) 2)) ?\') ; ????
 				(memq (char-syntax (char-after (- (point) 2)))
 				      '(?w ?_))))
 			  ;;)
@@ -2882,5 +2866,3 @@
 		      (goto-char (1- cpoint)))))
 		(setq stop-in t)	; Finish
 		(forward-char -1))
-	    (setq stop-in t))		; Finish
-	  )
*	  (setq stop-in t)))		; Finish 
 	(nth 4 state))))
 
 (defsubst cperl-1- (p)
@@ -3095,4 +3078,3 @@
 		cperl-syntax-state nil
 		cperl-syntax-done-to min))
   (or max (setq max (point-max)))
-  (let* (face head-face here-face b e bb tag qtag b1 e1 argument i c tail tb
*  (let* ((cperl-pod-here-fontify (eval cperl-pod-here-fontify)) go tmpend
*	 face head-face here-face b e bb tag qtag b1 e1 argument i c tail tb
 	      is-REx is-x-REx REx-comment-start REx-comment-end was-comment i2
-	      (cperl-pod-here-fontify (eval cperl-pod-here-fontify)) go tmpend
 	      (case-fold-search nil) (inhibit-read-only t) (buffer-undo-list t)
 	      (modified (buffer-modified-p))
 	      (after-change-functions nil)
@@ -3176,5 +3159,3 @@
 		     "__\\(END\\|DATA\\)__"
 		     ;; 1+6+2+1+1+2+1+1+1=16 extra () before this:
 		     "\\|"
-		     "\\\\\\(['`\"]\\)"
-		     )
*		"\\\\\\(['`\"]\\)")
 		  ""))))
     (unwind-protect
 	(progn
@@ -3279,4 +3261,3 @@
 		  (cperl-commentify bb e nil)
 		  (goto-char e)
 		  (or (eq e (point-max))
-		      (forward-char -1)))) ; Prepare for immediate pod start.
*		      (forward-char -1)))) ; Prepare for immediate POD start.
 	       ;; Here document
 	       ;; We do only one here-per-line
                ;; ;; One extra () before this:
@@ -3448,5 +3430,3 @@
 				      (and (eq (char-syntax (preceding-char)) ?w)
 					   (progn
 					     (forward-sexp -1)
-;; After these keywords `/' starts a RE.  One should add all the
-;; functions/builtins which expect an argument, but ...
*					     ;; After these keywords `/' starts a RE.  One should add all the
*					     ;; functions/builtins which expect an argument, but ...
 					     (if (eq (preceding-char) ?-)
 						 ;; -d ?foo? is a RE
 						 (looking-at "[a-zA-Z]\\>")
@@ -3596,5 +3578,4 @@
 			  (while
 			      (and (< (point) e)
 				   (re-search-forward
-				    (if is-x-REx
 					(if (eq (char-after b) ?\#)
*					(if is-x-REx
 					    "\\((\\?\\\\#\\)\\|\\(\\\\#\\)"
-					    "\\((\\?#\\)\\|\\(#\\)")
-					(if (eq (char-after b) ?\#)
-					    "\\((\\?\\\\#\\)"
*					  "\\((\\?\\\\#\\)")
*				      (if is-x-REx
*					  "\\((\\?#\\)\\|\\(#\\)"
 					  "\\((\\?#\\)"))
 				    (1- e) 'to-end))
 			    (goto-char (match-beginning 0))
@@ -3744,7 +3726,3 @@
       (if (memq (setq pr (get-text-property (point) 'syntax-type))
 		'(pod here-doc here-doc-delim))
 	  (cperl-unwind-to-safe nil)
-      (if (or (looking-at "^[ \t]*\\(#\\|$\\)")
-	      (progn (cperl-to-comment-or-eol) (bolp)))
-	  nil	; Only comment, skip
-	;; Else
*      (or (looking-at "^[ \t]*\\(#\\|$\\)")
*	  (progn (cperl-to-comment-or-eol) (bolp))
*	  (progn
 	(skip-chars-backward " \t")
 	(if (< p (point)) (goto-char p))
-	  (setq stop t))))))
*	    (setq stop t)))))))
 
 (defun cperl-after-block-p (lim)
   ;; We suppose that the preceding char is }.
@@ -3780,5 +3761,3 @@
 TEST is the expression to evaluate at the found position.  If absent,
 CHARS is a string that contains good characters to have before us (however,
 `}' is treated \"smartly\" if it is not in the list)."
-  (let (stop p
-	     (lim (or lim (point-min))))
*  (let ((lim (or lim (point-min)))
*	stop p)
     (save-excursion
       (while (and (not stop) (> (point) lim))
 	(skip-chars-backward " \t\n\f" lim)
@@ -3874,5 +3855,3 @@
   (interactive)
   (or end
       (setq end (point-max)))
-  (let (p pp ml have-brace ret
-	  (ee (save-excursion (end-of-line) (point)))
*  (let ((ee (save-excursion (end-of-line) (point)))
 	  (cperl-indent-region-fix-constructs
-	   (or cperl-indent-region-fix-constructs 1)))
*	 (or cperl-indent-region-fix-constructs 1))
*	p pp ml have-brace ret)
     (save-excursion
       (beginning-of-line)
       (setq ret (point))
@@ -4067,5 +4048,3 @@
   (cperl-update-syntaxification end end)
   (save-excursion
     (let (cperl-update-start cperl-update-end (h-a-c after-change-functions))
-      (let (st comm old-comm-indent new-comm-indent p pp i empty
-	       (indent-info (if cperl-emacs-can-parse
*      (let ((indent-info (if cperl-emacs-can-parse
 				(list nil nil nil) ; Cannot use '(), since will modify
 			      nil))
*	    (pm 0) (imenu-scanning-message "Indenting... (%3d%%)")
 	       after-change-functions	; Speed it up!
-	     (pm 0) (imenu-scanning-message "Indenting... (%3d%%)"))
*	    st comm old-comm-indent new-comm-indent p pp i empty)
 	(if h-a-c (add-hook 'after-change-functions 'cperl-delay-update-hook))
       (goto-char start)
       (setq old-comm-indent (and (cperl-to-comment-or-eol)
@@ -4127,6 +4108,3 @@
 	     (imenu-progress-message pm 100)
 	  (message nil)))
       ;; Now run the update hooks
-      (if after-change-functions
-	  (save-excursion
-	    (if cperl-update-end
*      (and after-change-functions
*	   cperl-update-end
 		(progn
 		  (goto-char cperl-update-end)
 		  (insert " ")
 		  (delete-char -1)
 		  (goto-char cperl-update-start)
 		  (insert " ")
-		  (delete-char -1))))))))
*	     (delete-char -1))))))
 
 ;; Stolen from lisp-mode with a lot of improvements
 
@@ -4146,5 +4126,3 @@
 block of it that point is in, preserving the comment's initial
 indentation and initial hashes.  Behaves usually outside of comment."
   (interactive "P")
-  (let (
-	;; Non-nil if the current line contains a comment.
*  (let (;; Non-nil if the current line contains a comment.
 	has-comment
 
 	;; If has-comment, the appropriate fill-prefix for the comment.
@@ -4255,4 +4234,3 @@
 	(t
 	 (or name
 	     (setq name "+++BACK+++"))
-	 (mapcar (function (lambda (elt)
*	 (mapcar (lambda (elt)
 			     (if (and (listp elt) (listp (cdr elt)))
 				 (progn
 				   ;; In the other order it goes up
 				   ;; one level only ;-(
 				   (setcdr elt (cons (cons name lst)
 						     (cdr elt)))
-				   (cperl-imenu-addback (cdr elt) t name)
-				   ))))
*			 (cperl-imenu-addback (cdr elt) t name))))
 		 (if isback (cdr lst) lst))
 	 lst)))
 
@@ -4301,5 +4279,3 @@
 	   (null (get-text-property (match-beginning 1) 'in-pod)))
 	  (save-excursion
 	    (goto-char (match-beginning 2))
-	    (setq fchar (following-char))
-	    )
*	    (setq fchar (following-char)))
 	  ;; (if (looking-at "([^()]*)[ \t\n\f]*")
 	  ;;    (goto-char (match-end 0)))	; Messes what follows
 	  (setq char (following-char)	; ?\; for "sub foo () ;"
@@ -4345,4 +4322,3 @@
 	      (push index index-alist))
 	    (if meth (push index index-meth-alist))
 	    (push index index-unsorted-alist)))
-	 ((match-beginning 5)		; Pod section
*	 ((match-beginning 5)		; POD section
 	  ;; (beginning-of-line)
 	  (setq index (imenu-example--name-and-position)
 		name (buffer-substring (match-beginning 6) (match-end 6)))
@@ -4448,8 +4425,6 @@
       ;; Need to init anyway:
       (or cperl-faces-init (cperl-init-faces))
     (add-hook 'font-lock-mode-hook
-	      (function
 	       (lambda ()
 		 (if (memq major-mode '(perl-mode cperl-mode))
 		     (progn
-		       (or cperl-faces-init (cperl-init-faces)))))))
*		      (or cperl-faces-init (cperl-init-faces))))))
     (if (fboundp 'eval-after-load)
 	(eval-after-load
 	 "ps-print"
@@ -4739,5 +4715,3 @@
 		    nil
 		    [nil		nil		t		t	t]
 		    nil
-		    [nil		nil		t		t	t]
-		    )
*		      [nil		nil		t		t	t])
 	      (list 'font-lock-constant-face
 		    ["CadetBlue"	"Aquamarine" 	"Gray50"	"LightGray"]
 		    nil
 		    [nil		nil		t		t	t]
 		    nil
-		    [nil		nil		t		t	t]
-		    )
*		      [nil		nil		t		t	t])
 	      (list 'cperl-nonoverridable-face
 		    ["chartreuse3"	("orchid1" "orange")
 		     nil		"Gray80"]
 		    [nil		nil		"gray90"]
 		    [nil		nil		nil		t	t]
 		    [nil		nil		t		t]
-		    [nil		nil		t		t	t]
-		    )
*		      [nil		nil		t		t	t])
 	      (list 'cperl-array-face
 		    ["blue"		"yellow" 	nil		"Gray80"]
 		    ["lightyellow2"	("navy" "os2blue" "darkgreen")
@@ -4773,10 +4746,3 @@
 	  ;; Do it the dull way, without choose-color
 	  (defvar cperl-guessed-background nil
 	    "Display characteristics as guessed by cperl.")
-;;	  (or (fboundp 'x-color-defined-p)
-;;	      (defalias 'x-color-defined-p
-;;		(cond ((fboundp 'color-defined-p) 'color-defined-p)
-;;		      ;; XEmacs >= 19.12
-;;		      ((fboundp 'valid-color-name-p) 'valid-color-name-p)
-;;		      ;; XEmacs 19.11
-;;		      (t 'x-valid-color-name-p))))
*	  ;;	  (or (fboundp 'x-color-defined-p)
*	  ;;	      (defalias 'x-color-defined-p
*	  ;;		(cond ((fboundp 'color-defined-p) 'color-defined-p)
*	  ;;		      ;; XEmacs >= 19.12
*	  ;;		      ((fboundp 'valid-color-name-p) 'valid-color-name-p)
*	  ;;		      ;; XEmacs 19.11
*	  ;;		      (t 'x-valid-color-name-p))))
 	  (cperl-force-face font-lock-constant-face
 			    "Face for constant and label names")
 	  (cperl-force-face font-lock-variable-name-face
@@ -4846,6 +4819,3 @@
 		 (if (boundp 'font-lock-background-mode)
 		     font-lock-background-mode
 		   'light))
-		(face-list (and (fboundp 'face-list) (face-list)))
-		;; cperl-is-face
-		)
*		(face-list (and (fboundp 'face-list) (face-list))))
 ;;;;	    (fset 'cperl-is-face
 ;;;;		  (cond ((fboundp 'find-face)
 ;;;;			 (symbol-function 'find-face))
@@ -4862,6 +4833,3 @@
 		  'gray
 		background)
 	      "Background as guessed by CPerl mode")
-	    (if (and
-		 (not (cperl-is-face 'font-lock-constant-face))
-		 (cperl-is-face 'font-lock-reference-face))
*	    (and (not (cperl-is-face 'font-lock-constant-face))
*		 (cperl-is-face 'font-lock-reference-face)
 	      (copy-face 'font-lock-reference-face 'font-lock-constant-face))
 	    (if (cperl-is-face 'font-lock-type-face) nil
 	      (copy-face 'default 'font-lock-type-face)
@@ -5093,4 +5063,3 @@
 Chosing \"Current\" style will not change style, so this may be used for
 side-effect of memorizing only."
   (interactive
-   (let ((list (mapcar (function (lambda (elt) (list (car elt))))
*   (let ((list (mapcar (lambda (elt) (list (car elt)))
 		       cperl-style-alist)))
      (list (completing-read "Enter style: " list nil 'insist))))
   (or cperl-old-style
       (setq cperl-old-style
-	    (mapcar (function
-		     (lambda (name)
-		       (cons name (eval name))))
*	    (mapcar (lambda (name)
*		      (cons name (eval name)))
 		    cperl-styles-entries)))
   (let ((style (cdr (assoc style cperl-style-alist))) setting str sym)
     (while style
@@ -5235,5 +5204,3 @@
 			 ;; Non-functioning under OS/2:
 			 (if (eq char-height 1) (setq char-height 18))
 			 ;; Title, menubar, + 2 for slack
-			 (- (/ (x-display-pixel-height) char-height) 4)
-			 ))
*			 (- (/ (x-display-pixel-height) char-height) 4)))
 		 (if (> height max-height) (setq height max-height))
 		 ;;(message "was %s doing %s" iniheight height)
 		 (if not-loner
@@ -5343,4 +5311,3 @@
 	    (setq e (point))
 	    (skip-chars-backward " \t")
 	    (delete-region (point) e)
-	    (indent-to-column col); (make-string (- col (current-column)) ?\ ))
*	    (indent-to-column col) ; (make-string (- col (current-column)) ?\ ))
 	    (beginning-of-line 2)
 	    (and (< (point) end)
 		 (re-search-forward search end t)
@@ -5491,4 +5459,3 @@
 (defvar cperl-unreadable-ok nil)
 
 (defun cperl-find-tags (ifile xs topdir)
-  (let (ind (b (get-buffer cperl-tmp-buffer)) lst elt pos ret rel
*  (let ((b (get-buffer cperl-tmp-buffer)) ind lst elt pos ret rel
 	    (cperl-pod-here-fontify nil) f file)
     (save-excursion
       (if b (set-buffer b)
@@ -5518,7 +5486,6 @@
 	(setq lst (cdr (assoc "+Unsorted List+..." ind))))
       (setq lst
 	    (mapcar
-	     (function
 	      (lambda (elt)
 		(cond ((string-match "^[_a-zA-Z]" (car elt))
 		       (goto-char (cdr elt))
@@ -5533,4 +5500,3 @@
 						 (point))
 					       (progn
 						 (beginning-of-line)
-						 (point))))))))
*						  (point)))))))
 		    lst))
       (erase-buffer)
       (while lst
@@ -5626,4 +5593,3 @@
 			(setq cperl-unreadable-ok t
 			      tm nil) ; Return empty list
 		      (error "Aborting: unreadable directory %s" file)))))))
-	  (mapcar (function (lambda (file)
*	  (mapcar (lambda (file)
 			      (cond
 			       ((string-match cperl-noscan-files-regexp file)
 				nil)
@@ -5634,6 +5601,3 @@
 				(if (string-match cperl-scan-files-regexp file)
 				    (cperl-write-tags file erase recurse nil t noxs topdir)))
 			       ((not recurse) nil)
-			       (t (cperl-write-tags file erase recurse t t noxs topdir)))))
-		  files))
-	)
*		     (t (cperl-write-tags file erase recurse t t noxs topdir))))
*		  files)))
        (t
 	(setq xs (string-match "\\.xs$" file))
 	(if (not (and xs noxs))
@@ -5733,5 +5699,3 @@
   (require 'etags)
   (require 'imenu)
   (if (or update (null (nth 2 cperl-hierarchy)))
-      (let (pack name cons1 to l1 l2 l3 l4 b
-		 (remover (function (lambda (elt) ; (name (file1...) (file2..))
*      (let ((remover (lambda (elt) ; (name (file1...) (file2..))
 				      (or (nthcdr 2 elt)
 					  ;; Only in one file
-					  (setcdr elt (cdr (nth 1 elt))))))))
*			   (setcdr elt (cdr (nth 1 elt))))))
*	    pack name cons1 to l1 l2 l3 l4 b)
 	;; (setq cperl-hierarchy '(() () ())) ; Would write into '() later!
 	(setq cperl-hierarchy (list l1 l2 l3))
 	(if cperl-xemacs-p		; Not checked
@@ -5751,8 +5717,6 @@
 	  (or tags-table-list
 	      (call-interactively 'visit-tags-table))
 	(mapcar
-	 (function
 	  (lambda (tagsfile)
 	      (message "Updating list of classes... %s" tagsfile)
 	    (set-buffer (get-file-buffer tagsfile))
-	    (cperl-tags-hier-fill)))
*	     (cperl-tags-hier-fill))
 	 tags-table-list)
 	  (message "Updating list of classes... postprocessing..."))
 	(mapcar remover (car cperl-hierarchy))
@@ -5797,7 +5762,6 @@
 	 l1 head tail cons1 cons2 ord writeto packs recurse
 	 root-packages root-functions ms many_ms same_name ps
 	 (move-deeper
-	  (function
 	   (lambda (elt)
 	     (cond ((and (string-match regexp (car elt))
 			 (or (eq ord 1) (match-end 2)))
@@ -5816,4 +5780,3 @@
 		   ((eq ord 2)
 		    (setq root-functions (cons elt root-functions)))
 		   (t
-		    (setq root-packages (cons elt root-packages))))))))
*		   (setq root-packages (cons elt root-packages)))))))
     (setcdr to l1)			; Init to dynamic space
     (setq writeto to)
     (setq ord 1)
@@ -5824,5 +5788,3 @@
     (setq ord 2)
     (mapcar move-deeper methods)
     (if recurse
-	(mapcar (function (lambda (elt)
-			  (cperl-tags-treeify elt (1+ level))))
*	(mapcar (lambda (elt)
*		  (cperl-tags-treeify elt (1+ level)))
 		(cdr to)))
     ;;Now clean up leaders with one child only
-    (mapcar (function (lambda (elt)
*    (mapcar (lambda (elt)
 			(if (not (and (listp (cdr elt))
 				      (eq (length elt) 2))) nil
 			    (setcar elt (car (nth 1 elt)))
-			    (setcdr elt (cdr (nth 1 elt))))))
*		(setcdr elt (cdr (nth 1 elt)))))
 	    (cdr to))
     ;; Sort the roots of subtrees
     (if (default-value 'imenu-sort-function)
 	(setcdr to
 		(sort (cdr to) (default-value 'imenu-sort-function))))
     ;; Now add back functions removed from display
-    (mapcar (function (lambda (elt)
-			(setcdr to (cons elt (cdr to)))))
*    (mapcar (lambda (elt)
*	      (setcdr to (cons elt (cdr to))))
 	    (if (default-value 'imenu-sort-function)
 		(nreverse
 		 (sort root-functions (default-value 'imenu-sort-function)))
 	      root-functions))
     ;; Now add back packages removed from display
-    (mapcar (function (lambda (elt)
*    (mapcar (lambda (elt)
 			(setcdr to (cons (cons (concat "package " (car elt))
 					       (cdr elt))
-					 (cdr to)))))
*			       (cdr to))))
 	    (if (default-value 'imenu-sort-function)
 		(nreverse
 		 (sort root-packages (default-value 'imenu-sort-function)))
-	      root-packages))
-    ))
*	      root-packages))))
 
 ;;;(x-popup-menu t
 ;;;   '(keymap "Name1"
@@ -5886,7 +5849,6 @@
   (let (list)
     (cons 'keymap
 	  (mapcar
-	   (function
 	    (lambda (elt)
 	      (cond ((listp (cdr elt))
 		     (setq list (cperl-list-fold
@@ -5895,4 +5857,3 @@
 			   (cons (car elt)
 				 (cperl-menu-to-keymap list))))
 		    (t
-		     (list (cdr elt) (car elt) t))))) ; t is needed in 19.34
*		    (list (cdr elt) (car elt) t)))) ; t is needed in 19.34
 	   (cperl-list-fold menu "Root" imenu-max-items)))))
 
 
 (defvar cperl-bad-style-regexp
   (mapconcat 'identity
    '("[^-\n\t <>=+!.&|(*/'`\"#^][-=+<>!|&^]" ; char sign
-     "[-<>=+^&|]+[^- \t\n=+<>~]"	; sign+ char
-     )
*	       "[-<>=+^&|]+[^- \t\n=+<>~]") ; sign+ char 
    "\\|")
   "Finds places such that insertion of a whitespace may help a lot.")
 
@@ -5946,4 +5907,3 @@
     (setq last-nonmenu-event 13)	; To disable popup
     (beginning-of-buffer)
     (map-y-or-n-p "Insert space here? "
-		  (function (lambda (arg) (insert " ")))
*		  (lambda (arg) (insert " "))
 		  'cperl-next-bad-style
 		  '("location" "locations" "insert a space into")
 		  '((?\C-r (lambda (arg)
@@ -6004,4 +5965,3 @@
      "[$@][^ \n\t]"			; Special variable
      "-[a-zA-Z]"			; File test
      "\\\\[a-zA-Z0]"			; Special chars
-     "^=[a-z][a-zA-Z0-9_]*"		; Pod sections
*     "^=[a-z][a-zA-Z0-9_]*"		; POD sections
      "[-!&*+,-./<=>?\\\\^|~]+"		; Operator
      "[a-zA-Z_0-9:]+"			; symbol or number
      "x="
-     "#!"
-     )
*     "#!")
    ;;"\\)\\|\\("
-   "\\|"
-   )
*   "\\|")
 	  ;;"\\)"
 	  ;;)
   "Matches places in the buffer we can find help for.")
@@ -6139,4 +6098,3 @@
 	 (if cperl-message-on-help-error
 	     (message "No definition for %s" val)))))))
 
-(defvar cperl-short-docs "Ignore my value"
*(defvar cperl-short-docs 'please-ignore-this-line
   ;; Perl4 version was written by Johan Vromans (jvromans@squirrel.nl)
   "# based on '@(#)@ perl-descr.el 1.9 - describe-perl-symbol' [Perl 5]
 ! ...	Logical negation.
@@ -6512,12 +6471,6 @@
 CORE::		Prefix to access builtin function if imported sub obscures it.
 SUPER::		Prefix to lookup for a method in @ISA classes.
 DESTROY		Shorthand for `sub DESTROY {...}'.
-... EQ ...	Obsolete synonym of `eq'.
-... GE ...	Obsolete synonym of `ge'.
-... GT ...	Obsolete synonym of `gt'.
-... LE ...	Obsolete synonym of `le'.
-... LT ...	Obsolete synonym of `lt'.
-... NE ...	Obsolete synonym of `ne'.
 abs [ EXPR ]	absolute value
 ... and ...		Low-precedence synonym for &&.
 bless REFERENCE [, PACKAGE]	Makes reference into an object of a package.
@@ -6633,5 +6586,3 @@
 		       "\\|"		; Grouping
 		       "\\((\\(\\?\\)?\\)" ; 7 8
 		       "\\|"		; |
-		       "\\(|\\)"	; 9
-		       )))
*		       "\\(|\\)")))	; 9
 	(goto-char (match-end 0))
 	(setq spaces t)
 	(cond ((match-beginning 1)	; Alphanum word + junk
@@ -6756,5 +6708,3 @@
 	 (setq s (point))
 	 (skip-chars-forward " \t")
 	 (delete-region s (point))
-	 (indent-to-column c)))
-  ))
*	  (indent-to-column c)))))
 
 (defun cperl-make-regexp-x ()
   ;; Returns position of the start
@@ -7091,5 +7042,3 @@
 (defun cperl-fontify-syntaxically (end)
   ;; Some vars for debugging only
   ;; (message "Syntaxifying...")
-  (let (start (dbg (point)) (iend end)
-	(istate (car cperl-syntax-state)))
*  (let ((dbg (point)) (iend end)
*	(istate (car cperl-syntax-state))
*	start)
     (and cperl-syntaxify-unwind
 	 (setq end (cperl-unwind-to-safe t end)))
     (setq start (point))
@@ -7135,4 +7087,3 @@
 	  (cperl-fontify-syntaxically to)))))
 
 (defvar cperl-version
-  (let ((v  "Revision: 4.32"))
*  (let ((v  "Revision: 4.33"))
     (string-match ":\\s *\\([0-9.]+\\)" v)
     (substring v (match-beginning 1) (match-end 1)))
   "Version of IZ-supported CPerl package this file is based on.")
